Bug 668090 - Review Request: rubygem-railties - Rails internals: application bootup, plugins, generators, and rake tasks.
Summary: Review Request: rubygem-railties - Rails internals: application bootup, plugi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-07 21:03 UTC by Minnikhanov
Modified: 2013-08-22 12:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 20:38:49 UTC
mmorsi: fedora-review+


Attachments (Terms of Use)

Description Minnikhanov 2011-01-07 21:03:24 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
SRPM URL: http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-1.fc14.src.rpm
Description:
Railties is responsible to glue all frameworks together. Overall, it:
* handles all the bootstrapping process for a Rails application;
* manager rails command line interface;
* provides Rails generators core;

Hi. I just finished packaging up rubygem-railties, and I would appreciate a
review so that I can get it into Fedora Extras. 

https://rubygems.org/gems/railties (ver. 3.0.3 November 16, 2010)

Packed for "rails 3.0.x in F15" in "Ruby SIG mailing list"
http://lists.fedoraproject.org/pipermail/ruby-sig/2010-December/000376.html

koji scratch build successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2707996

Comment 1 Mo Morsi 2011-01-19 04:56:52 UTC
Will take this one. This rpm is dependent on rubygem-activesupport (3.0.3), rubygem-actionpack (3.0.3), and thor (0.14.6) making it into Fedora first.

* rpmlint spits out some errors which can't be ignored

rubygem-railties-doc.noarch: E: script-without-shebang /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/guides/assets/stylesheets/syntaxhighlighter/shThemeMDUltra.css

This stylesheet seems to be mistakingly marked as executable in the upstream source, can prolly chmod it to remove the executable permission

rubygem-railties.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
rubygem-railties.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory

There are a bunch of these errors for various .empty_directory files in the railties gem, these need to be included in the project correct?

The other rpmlint warnings can be ignored

* rm -rf %{buildroot} at the beginning of %install isn't needed and should be removed

* Feel free to tar up the upstream test suite for the 3.0.3 railties release and run it in a %check section in the rpm


Other than that looks good and complies to guidelines.

Comment 2 Minnikhanov 2011-01-23 20:46:43 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-2.fc14.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-2.fc14.src.rpm 

koji scratch build: FAIL
http://koji.fedoraproject.org/koji/taskinfo?taskID=2738446 
root.log
>>>
DEBUG backend.py:745:  /usr/bin/yum-builddep --installroot /var/lib/mock/dist-f15-build-964373-145195/root/  '/var/lib/mock/dist-f15-build-964373-145195/root///builddir/build/SRPMS/rubygem-railties-3.0.3-2.fc15.src.rpm'
DEBUG util.py:281:  Executing command: /usr/bin/yum-builddep --installroot /var/lib/mock/dist-f15-build-964373-145195/root/  '/var/lib/mock/dist-f15-build-964373-145195/root///builddir/build/SRPMS/rubygem-railties-3.0.3-2.fc15.src.rpm'
DEBUG util.py:247:  Getting requirements for rubygem-railties-3.0.3-2.fc15.src
DEBUG util.py:247:   --> rubygems-1.3.7-2.fc14.noarch
DEBUG util.py:247:   --> ruby-libs-1.8.7.330-2.fc15.x86_64
DEBUG util.py:247:  Error: No Package found for rubygem(date)
DEBUG util.py:320:  Child returncode was: 1
<<<

(In reply to comment #1)
> 
> rubygem-railties-doc.noarch: E: script-without-shebang
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/guides/assets/stylesheets/syntaxhighlighter/shThemeMDUltra.css
> 
> This stylesheet seems to be mistakingly marked as executable in the upstream
> source, can prolly chmod it to remove the executable permission
>
+ Fixed  in %prep.

> rubygem-railties.noarch: W: hidden-file-or-dir
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> rubygem-railties.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> 
> There are a bunch of these errors for various .empty_directory files in the
> railties gem, these need to be included in the project correct?
> 
I delete these files in %prep. (??? - my opinion).
I guess its need for generator as some mark. I look at source. 
No empty folder here lib/rails/generators/rails/app/templates/*
This need addition info.

> * rm -rf %{buildroot} at the beginning of %install isn't needed and should be
> removed
+ Fixed.
 
> * Feel free to tar up the upstream test suite for the 3.0.3 railties release
> and run it in a %check section in the rpm
> 
+ Make %check section.
Rakefile:
>>>
require 'rake'
require 'rake/testtask'
require 'rake/gempackagetask'

require 'date'
require 'rbconfig'
<<<
Make 
BuildRequires: rubygem(date)
BuildRequires: rubygem(rbconfig)

rubygem-date didn't pack.

Comment 3 Mo Morsi 2011-01-23 22:40:23 UTC
(In reply to comment #2)
> Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-2.fc14.spec
> SRPM URL:
> http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-2.fc14.src.rpm 
> 
> koji scratch build: FAIL
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2738446 
> root.log
> >>>
> DEBUG backend.py:745:  /usr/bin/yum-builddep --installroot
> /var/lib/mock/dist-f15-build-964373-145195/root/ 
> '/var/lib/mock/dist-f15-build-964373-145195/root///builddir/build/SRPMS/rubygem-railties-3.0.3-2.fc15.src.rpm'
> DEBUG util.py:281:  Executing command: /usr/bin/yum-builddep --installroot
> /var/lib/mock/dist-f15-build-964373-145195/root/ 
> '/var/lib/mock/dist-f15-build-964373-145195/root///builddir/build/SRPMS/rubygem-railties-3.0.3-2.fc15.src.rpm'
> DEBUG util.py:247:  Getting requirements for rubygem-railties-3.0.3-2.fc15.src
> DEBUG util.py:247:   --> rubygems-1.3.7-2.fc14.noarch
> DEBUG util.py:247:   --> ruby-libs-1.8.7.330-2.fc15.x86_64
> DEBUG util.py:247:  Error: No Package found for rubygem(date)
> DEBUG util.py:320:  Child returncode was: 1
> <<<
> 
> (In reply to comment #1)


date isn't a rubygem. Its part of the ruby standard library. Same with rbconfig. See

/usr/lib/ruby/1.8/date.rb
/usr/lib/ruby/1.8/i386-linux/rbconfig.rb


> > 
> > rubygem-railties-doc.noarch: E: script-without-shebang
> > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/guides/assets/stylesheets/syntaxhighlighter/shThemeMDUltra.css
> > 
> > This stylesheet seems to be mistakingly marked as executable in the upstream
> > source, can prolly chmod it to remove the executable permission
> >
> + Fixed  in %prep.

Thanks alot. The find command doing so isn't just right though. Running it, I get 

"find: missing argument to `-exec'"

To fix this append "{} \;" to the end of the find command like so:

find ./%{geminstdir} -name *.css -type f -perm /a+x -exec chmod -v 644 {} \;



> 
> > rubygem-railties.noarch: W: hidden-file-or-dir
> > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> > rubygem-railties.noarch: E: zero-length
> > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> > 
> > There are a bunch of these errors for various .empty_directory files in the
> > railties gem, these need to be included in the project correct?
> > 
> I delete these files in %prep. (??? - my opinion).
> I guess its need for generator as some mark. I look at source. 
> No empty folder here lib/rails/generators/rails/app/templates/*
> This need addition info.
> 

They do seem to be in the upstream source, see for example

https://github.com/rails/rails/blob/master/railties/lib/rails/generators/rails/generator/templates/templates/.empty_directory

It might not be a bad idea to lean on the safe side and leave them included. Or at the very least, ensure the test suite works w/ those files removed.


> > * rm -rf %{buildroot} at the beginning of %install isn't needed and should be
> > removed
> + Fixed.

Thanks alot

> 
> > * Feel free to tar up the upstream test suite for the 3.0.3 railties release
> > and run it in a %check section in the rpm
> > 
> + Make %check section.
> Rakefile:
> >>>
> require 'rake'
> require 'rake/testtask'
> require 'rake/gempackagetask'
> 
> require 'date'
> require 'rbconfig'
> <<<
> Make 
> BuildRequires: rubygem(date)
> BuildRequires: rubygem(rbconfig)
> 
> rubygem-date didn't pack.

Again, date and rbconfig aren't rubygems, and are covered w/ the existing BuildRequires. Running the test suite works as is (I tried it out).

Comment 4 Minnikhanov 2011-01-24 19:57:35 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-3.fc14.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-3.fc14.src.rpm 

koji scratch build: FAIL
http://koji.fedoraproject.org/koji/taskinfo?taskID=2740113 
build.log
>>>
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.N6GfTX
+ umask 022
+ cd /builddir/build/BUILD
+ cd rubygem-railties-3.0.3
+ unset DISPLAY
+ pushd /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3
~/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3 ~/build/BUILD/rubygem-railties-3.0.3
+ rake test
rake aborted!
(eval):1:in `read': No such file or directory - /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/RAILS_VERSION
/builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3/Rakefile:60
(See full trace by running task with --trace)
(in /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3)
error: Bad exit status from /var/tmp/rpm-tmp.N6GfTX (%check)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.N6GfTX (%check)
Child returncode was: 1
<<<

Will you advise about 'BuildRequires:'

I guess this is not full list:
BuildRequires: rubygems
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygem(rake)

(In reply to comment #3)
> (In reply to comment #2)
 
> 
> date isn't a rubygem. Its part of the ruby standard library. Same with
> rbconfig. See
> 
> /usr/lib/ruby/1.8/date.rb
> /usr/lib/ruby/1.8/i386-linux/rbconfig.rb
> 
+ Fixed.


> Thanks alot. The find command doing so isn't just right though. Running it, I
> get 
> 
> "find: missing argument to `-exec'"
> 
> To fix this append "{} \;" to the end of the find command like so:
> 
> find ./%{geminstdir} -name *.css -type f -perm /a+x -exec chmod -v 644 {} \;
> 
+ Fixed.

> > 
> > > rubygem-railties.noarch: W: hidden-file-or-dir
> > > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> > > rubygem-railties.noarch: E: zero-length
> > > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory

Is any way to lean these files? I'll prefer don't delete these file.
I guess all 'empty folders' marked to avoid some variables have value = 'nil' by algorithm. We can have unstable side effects, IMHO.
I'll test before at %check with deleted files.

> > > 
> > > There are a bunch of these errors for various .empty_directory files in the
> > > railties gem, these need to be included in the project correct?
> > > 
> > I delete these files in %prep. (??? - my opinion).
> > I guess its need for generator as some mark. I look at source. 
> > No empty folder here lib/rails/generators/rails/app/templates/*
> > This need addition info.
> > 
> 
> They do seem to be in the upstream source, see for example
> 
> https://github.com/rails/rails/blob/master/railties/lib/rails/generators/rails/generator/templates/templates/.empty_directory
> 
> It might not be a bad idea to lean on the safe side and leave them included. Or
> at the very least, ensure the test suite works w/ those files removed.
>

Comment 5 Mo Morsi 2011-01-25 04:07:54 UTC
(In reply to comment #4)
> Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-3.fc14.spec
> SRPM URL:
> http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-3.fc14.src.rpm 
> 
> koji scratch build: FAIL
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2740113 
> build.log
> >>>
> Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.N6GfTX
> + umask 022
> + cd /builddir/build/BUILD
> + cd rubygem-railties-3.0.3
> + unset DISPLAY
> + pushd
> /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3
> ~/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3
> ~/build/BUILD/rubygem-railties-3.0.3
> + rake test
> rake aborted!
> (eval):1:in `read': No such file or directory -
> /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/RAILS_VERSION
> /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3/Rakefile:60
> (See full trace by running task with --trace)
> (in
> /builddir/build/BUILDROOT/rubygem-railties-3.0.3-3.fc15.noarch/usr/lib/ruby/gems/1.8/gems/railties-3.0.3)
> error: Bad exit status from /var/tmp/rpm-tmp.N6GfTX (%check)
> RPM build errors:
>     Bad exit status from /var/tmp/rpm-tmp.N6GfTX (%check)
> Child returncode was: 1
> <<<
> 

The first line of railties.gemspec is causing the issue:

version = File.read(File.expand_path("../../RAILS_VERSION", FILE)).strip

You can probably just add a patch swapping this line out with "version = 3.0.3"


> Will you advise about 'BuildRequires:'
> 
> I guess this is not full list:
> BuildRequires: rubygems
> BuildRequires: ruby(abi) = %{rubyabi}
> BuildRequires: rubygem(rake)


Usually if you have a %check section that runs a test suite, all the requires should be listed as BuildRequires as well, as the runtime dependencies are needed at build time. Thus rake, thor, activesupport, actionpack, etc should be BuildRequires as well.

> 
> (In reply to comment #3)
> > (In reply to comment #2)
> 
> > 
> > date isn't a rubygem. Its part of the ruby standard library. Same with
> > rbconfig. See
> > 
> > /usr/lib/ruby/1.8/date.rb
> > /usr/lib/ruby/1.8/i386-linux/rbconfig.rb
> > 
> + Fixed.
> 
> 
> > Thanks alot. The find command doing so isn't just right though. Running it, I
> > get 
> > 
> > "find: missing argument to `-exec'"
> > 
> > To fix this append "{} \;" to the end of the find command like so:
> > 
> > find ./%{geminstdir} -name *.css -type f -perm /a+x -exec chmod -v 644 {} \;
> > 
> + Fixed.
> 
> > > 
> > > > rubygem-railties.noarch: W: hidden-file-or-dir
> > > > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> > > > rubygem-railties.noarch: E: zero-length
> > > > /usr/lib/ruby/gems/1.8/gems/railties-3.0.3/lib/rails/generators/rails/app/templates/test/fixtures/.empty_directory
> 
> Is any way to lean these files? I'll prefer don't delete these file.
> I guess all 'empty folders' marked to avoid some variables have value = 'nil'
> by algorithm. We can have unstable side effects, IMHO.
> I'll test before at %check with deleted files.
> 

Not fully following. If I understand, yes I also think that it'd probably just be fine to leave these files in place for now to avoid any unintended side effects.

Comment 6 Minnikhanov 2011-01-25 19:36:50 UTC
(In reply to comment #5)
> (In reply to comment #4)
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-4.fc14.src.rpm 

koji scratch build: green
http://koji.fedoraproject.org/koji/taskinfo?taskID=2742125 
TEST DON'T PASS. Not all gems packed.
Packages built.

> The first line of railties.gemspec is causing the issue:
> 
> version = File.read(File.expand_path("../../RAILS_VERSION", FILE)).strip
> 
> You can probably just add a patch swapping this line out with "version = 3.0.3"
>
+ Fixed. This was helpful.
 
> 
> 
> Usually if you have a %check section that runs a test suite, all the requires
> should be listed as BuildRequires as well, as the runtime dependencies are
> needed at build time. Thus rake, thor, activesupport, actionpack, etc should be
> BuildRequires as well.
> 
- Don't fixed completely yet. I will publish 'BuildRequires:' list for check at next comment.

Comment 7 Mo Morsi 2011-01-27 06:16:43 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
> SRPM URL:
> http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-4.fc14.src.rpm 
> 
> koji scratch build: green
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2742125 
> TEST DON'T PASS. Not all gems packed.
> Packages built.

To get around the failed tests you will need the following which I've added to all the other rails 3 rpms:

--- test/abstract_unit.rb.orig  2011-01-26 22:08:06.697352089 -0500
+++ test/abstract_unit.rb       2011-01-26 22:53:04.463351981 -0500
@@ -1,4 +1,4 @@
-require File.expand_path("../../../load_paths", __FILE__)
+require 'rubygems'

 require 'stringio'
 require 'test/unit'

This will only get you to another set of errors. Looking into those its apparent that the railties test suite is dependent on the rails gem itself to work, introducing a circular dependency, thus cannot be included in the rpm. I verified the functionality though through use via the rubygem-rails package.

With this you can remove (or at least comment out) quite a few things relating to the test suite. Also remove the bits deleting the .empty_directory files. After that I'll approve.

Comment 8 Minnikhanov 2011-01-27 20:13:46 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-5.fc14.src.rpm 

koji scratch build: green
http://koji.fedoraproject.org/koji/taskinfo?taskID=2746333 
TEST DON'T PASS. 
Packages built.


(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > (In reply to comment #4)
> To get around the failed tests you will need the following which I've added to
> all the other rails 3 rpms:
> 
> --- test/abstract_unit.rb.orig  2011-01-26 22:08:06.697352089 -0500
> +++ test/abstract_unit.rb       2011-01-26 22:53:04.463351981 -0500
> @@ -1,4 +1,4 @@
> -require File.expand_path("../../../load_paths", __FILE__)
> +require 'rubygems'
> 
>  require 'stringio'
>  require 'test/unit'

+ Fixed.

> 
> This will only get you to another set of errors. Looking into those its
> apparent that the railties test suite is dependent on the rails gem itself to
> work, introducing a circular dependency, thus cannot be included in the rpm. I
> verified the functionality though through use via the rubygem-rails package.
> 
> With this you can remove (or at least comment out) quite a few things relating
> to the test suite. Also remove the bits deleting the .empty_directory files.
> After that I'll approve.

I saw test suite and look only circular dependency to rails's gems. I am not ready break these loops.

May I offer:
1. Remove all test suite.
2. Build clear gem rpm.
3. Prepare test suite rpm. 
3. After build all rpms, build test suite rpm and run it.

Source 'railties' found in the same git-repo where found 'rails' and other basis of rails.
Rails's developer tests all together.
My opinion we must go the same way - 
1 - Build all, 2 - Install all, 3 - Test all after all.

PS. Packages that can test separately, build with test suite. For another packages make separate post-build/installation test-suite rpm.
railties-test-<ver>....rpm

Comment 9 Mo Morsi 2011-01-31 20:14:04 UTC
(In reply to comment #8)
> Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
> SRPM URL:
> http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-5.fc14.src.rpm 
> 
> koji scratch build: green
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2746333 
> TEST DON'T PASS. 
> Packages built.
> 

Thanks for these updated rpms, since the tests don't pass but we've verified functionality, could you comment the check section for the time being. I don't like relying on the fact that 'rake test' doesn't return a non-zero exit code when the tests fail in railties. You can also comment the BuildRequires needed for the tests for the time being.


> > 
> > This will only get you to another set of errors. Looking into those its
> > apparent that the railties test suite is dependent on the rails gem itself to
> > work, introducing a circular dependency, thus cannot be included in the rpm. I
> > verified the functionality though through use via the rubygem-rails package.
> > 
> > With this you can remove (or at least comment out) quite a few things relating
> > to the test suite. Also remove the bits deleting the .empty_directory files.
> > After that I'll approve.
> 
> I saw test suite and look only circular dependency to rails's gems. I am not
> ready break these loops.
> 
> May I offer:
> 1. Remove all test suite.
> 2. Build clear gem rpm.
> 3. Prepare test suite rpm. 
> 3. After build all rpms, build test suite rpm and run it.
> 
> Source 'railties' found in the same git-repo where found 'rails' and other
> basis of rails.
> Rails's developer tests all together.
> My opinion we must go the same way - 
> 1 - Build all, 2 - Install all, 3 - Test all after all.
> 
> PS. Packages that can test separately, build with test suite. For another
> packages make separate post-build/installation test-suite rpm.
> railties-test-<ver>....rpm

We won't be able to do this for Fedora. Each RPM is its own self-contained unit with explicit dependencies. We can't have circular build time dependencies and can't execute an rpm's test suite in another rpm's spec. Each rpm needs to be able to be independently built, installed, and verified

Again thanks for the update. Everything looks good save the running of the test suite and one additional nit. As with the mail gem, the "fix any executable that doesn't have a shebang" and "find files with a shebang that do not have executable permissions" sections seem to be unnecessary (I checked) and can be removed (they clutter the rpm build log).

Once these final two changes are done, I'll approve.

Comment 10 Minnikhanov 2011-02-01 19:04:26 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-6.fc14.src.rpm 

koji scratch build: green
http://koji.fedoraproject.org/koji/taskinfo?taskID=2755487

(In reply to comment #9)
> (In reply to comment #8)
> 
> Thanks for these updated rpms, since the tests don't pass but we've verified
> functionality, could you comment the check section for the time being. I don't
> like relying on the fact that 'rake test' doesn't return a non-zero exit code
> when the tests fail in railties. You can also comment the BuildRequires needed
> for the tests for the time being.
> 

+ Fixed. Test excluded.

> suite and one additional nit. As with the mail gem, the "fix any executable
> that doesn't have a shebang" and "find files with a shebang that do not have
> executable permissions" sections seem to be unnecessary (I checked) and can be
> removed (they clutter the rpm build log).
> 

+ Fixed.

Comment 11 Mo Morsi 2011-02-01 23:06:02 UTC
Looks good. The only thing I'd add is to take the license out of the test tarball downloaded from the git repo and include it as its own source, or at least have a comment about it. nbd though.


APPROVED.

Comment 12 Bill Nottingham 2011-02-02 22:35:24 UTC
Please actually add the SCM request - thanks.

Comment 13 Minnikhanov 2011-02-03 17:57:46 UTC
New Package SCM Request
=======================
Package Name: rubygem-railties
Short Description: Rails internals: application bootup, plugins, generators, and rake tasks.
Owners: minn
Branches: 
InitialCC:

Comment 14 Minnikhanov 2011-02-03 18:30:28 UTC
New Package SCM Request
=======================
Package Name: rubygem-railties
Short Description: Rails internals: application bootup, plugins, generators,
and rake tasks.
Owners: minn
Branches: f14
InitialCC:

Comment 15 Minnikhanov 2011-02-03 19:21:44 UTC
New Package SCM Request
=======================
Package Name: rubygem-railties
Short Description: Rails internals: application bootup, plugins, generators,
and rake tasks.
Owners: minn
Branches: 
InitialCC:

Comment 16 Minnikhanov 2011-02-03 19:55:49 UTC
Spec URL: http://dl.dropbox.com/u/14118661/rubygem-railties.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-railties-3.0.3-7.fc14.src.rpm 

koji scratch build: green
http://koji.fedoraproject.org/koji/taskinfo?taskID=2760659 

(In reply to comment #11)
> Looks good. The only thing I'd add is to take the license out of the test
> tarball downloaded from the git repo and include it as its own source, or at
> least have a comment about it. nbd though.
> 

+ Fixed.

Comment 17 Kevin Fenzi 2011-02-03 20:36:16 UTC
Git done (by process-git-requests).

Comment 18 Mo Morsi 2011-06-27 20:38:49 UTC
This has long since made it into fedora, closing

Comment 19 Josef Stribny 2013-08-22 07:04:52 UTC
Package Change Request
======================
Package Name: rubygem-railties
Unretire Branches: f20 rawhide
Owners: vondruch

(Orphaning happened accidentally not intentionally.)

Comment 20 Gwyn Ciesla 2013-08-22 12:04:57 UTC
Unretired.

Comment 21 Vít Ondruch 2013-08-22 12:15:12 UTC
(In reply to Jon Ciesla from comment #20)
> Unretired.

Thank you Jon.


Note You need to log in before you can comment on or make changes to this bug.